<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.17"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>Moxit: Catch::AssertionInfo Struct Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">Moxit
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.17 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'Search');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="namespaceCatch.html">Catch</a></li><li class="navelem"><a class="el" href="structCatch_1_1AssertionInfo.html">AssertionInfo</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#pub-attribs">Public Attributes</a> &#124;
<a href="structCatch_1_1AssertionInfo-members.html">List of all members</a>  </div>
  <div class="headertitle">
<div class="title">Catch::AssertionInfo Struct Reference</div>  </div>
</div><!--header-->
<div class="contents">

<p><code>#include &lt;<a class="el" href="game_2catch_8hpp_source.html">catch.hpp</a>&gt;</code></p>
<div class="dynheader">
Collaboration diagram for Catch::AssertionInfo:</div>
<div class="dyncontent">
<div class="center"><img src="structCatch_1_1AssertionInfo__coll__graph.png" border="0" usemap="#Catch_1_1AssertionInfo_coll__map" alt="Collaboration graph"/></div>
<map name="Catch_1_1AssertionInfo_coll__map" id="Catch_1_1AssertionInfo_coll__map">
<area shape="rect" title=" " alt="" coords="94,109,247,136"/>
<area shape="rect" href="structCatch_1_1SourceLineInfo.html" title=" " alt="" coords="5,5,168,32"/>
<area shape="rect" href="classCatch_1_1StringRef.html" title=" " alt="" coords="193,5,319,32"/>
</map>
<center><span class="legend">[<a href="graph_legend.html">legend</a>]</span></center></div>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-attribs"></a>
Public Attributes</h2></td></tr>
<tr class="memitem:aaf3fbb9f1fe09c879ba3d877584e3056"><td class="memItemLeft" align="right" valign="top"><a class="el" href="classCatch_1_1StringRef.html">StringRef</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structCatch_1_1AssertionInfo.html#aaf3fbb9f1fe09c879ba3d877584e3056">macroName</a></td></tr>
<tr class="separator:aaf3fbb9f1fe09c879ba3d877584e3056"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a17bdbb404ba12658034f833be2f4c3e7"><td class="memItemLeft" align="right" valign="top"><a class="el" href="structCatch_1_1SourceLineInfo.html">SourceLineInfo</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structCatch_1_1AssertionInfo.html#a17bdbb404ba12658034f833be2f4c3e7">lineInfo</a></td></tr>
<tr class="separator:a17bdbb404ba12658034f833be2f4c3e7"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:accd36744b4acaa3a691a72df0b42190f"><td class="memItemLeft" align="right" valign="top"><a class="el" href="classCatch_1_1StringRef.html">StringRef</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structCatch_1_1AssertionInfo.html#accd36744b4acaa3a691a72df0b42190f">capturedExpression</a></td></tr>
<tr class="separator:accd36744b4acaa3a691a72df0b42190f"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a60353b3632ab2f827162f2b2d6911073"><td class="memItemLeft" align="right" valign="top"><a class="el" href="structCatch_1_1ResultDisposition.html#a3396cad6e2259af326b3aae93e23e9d8">ResultDisposition::Flags</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structCatch_1_1AssertionInfo.html#a60353b3632ab2f827162f2b2d6911073">resultDisposition</a></td></tr>
<tr class="separator:a60353b3632ab2f827162f2b2d6911073"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<h2 class="groupheader">Member Data Documentation</h2>
<a id="accd36744b4acaa3a691a72df0b42190f"></a>
<h2 class="memtitle"><span class="permalink"><a href="#accd36744b4acaa3a691a72df0b42190f">&#9670;&nbsp;</a></span>capturedExpression</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classCatch_1_1StringRef.html">StringRef</a> Catch::AssertionInfo::capturedExpression</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a17bdbb404ba12658034f833be2f4c3e7"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a17bdbb404ba12658034f833be2f4c3e7">&#9670;&nbsp;</a></span>lineInfo</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="structCatch_1_1SourceLineInfo.html">SourceLineInfo</a> Catch::AssertionInfo::lineInfo</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="aaf3fbb9f1fe09c879ba3d877584e3056"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aaf3fbb9f1fe09c879ba3d877584e3056">&#9670;&nbsp;</a></span>macroName</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classCatch_1_1StringRef.html">StringRef</a> Catch::AssertionInfo::macroName</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a60353b3632ab2f827162f2b2d6911073"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a60353b3632ab2f827162f2b2d6911073">&#9670;&nbsp;</a></span>resultDisposition</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="structCatch_1_1ResultDisposition.html#a3396cad6e2259af326b3aae93e23e9d8">ResultDisposition::Flags</a> Catch::AssertionInfo::resultDisposition</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<hr/>The documentation for this struct was generated from the following file:<ul>
<li>backend/src/lib/game/<a class="el" href="game_2catch_8hpp_source.html">catch.hpp</a></li>
</ul>
</div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated by &#160;<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/>
</a> 1.8.17
</small></address>
</body>
</html>
